RDKit: RDKit::FilterMatcherBase Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::FilterMatcherBase Class Referenceabstract

`#include <FilterMatcherBase.h>`

Inheritance diagram for RDKit::FilterMatcherBase:

## Public Member Functions
| FilterMatcherBase (std::string name=DEFAULT_FILTERMATCHERBASE_NAME)
| FilterMatcherBase (const FilterMatcherBase &rhs)
virtual | ~FilterMatcherBase ()
virtual bool | isValid () const =0
virtual std::string | getName () const
virtual bool | getMatches (const ROMol &mol, std::vector< FilterMatch > &matchVect) const =0
| getMatches
virtual bool | hasMatch (const ROMol &mol) const =0
| hasMatches
virtual boost::shared_ptr< FilterMatcherBase > | Clone () const
virtual boost::shared_ptr< FilterMatcherBase > | copy () const =0

## Detailed Description

Definition at line 75 of file FilterMatcherBase.h.

## Constructor & Destructor Documentation

## ◆ FilterMatcherBase() [1/2]

RDKit::FilterMatcherBase::FilterMatcherBase | ( | std::string | name = DEFAULT_FILTERMATCHERBASE_NAME | ) |
| inline

Definition at line 82 of file FilterMatcherBase.h.

References RDKit::DEFAULT_FILTERMATCHERBASE_NAME, and FilterMatcherBase().

Referenced by RDKit::ExclusionList::addPattern(), RDKit::FilterMatchOps::And::And(), RDKit::FilterMatchOps::And::And(), RDKit::FilterMatchOps::And::And(), RDKit::FilterMatchOps::And::And(), RDKit::ExclusionList::ExclusionList(), RDKit::ExclusionList::ExclusionList(), RDKit::FilterHierarchyMatcher::FilterHierarchyMatcher(), RDKit::FilterHierarchyMatcher::FilterHierarchyMatcher(), FilterMatcherBase(), FilterMatcherBase(), RDKit::FilterMatchOps::Not::Not(), RDKit::FilterMatchOps::Not::Not(), RDKit::FilterMatchOps::Not::Not(), RDKit::FilterMatchOps::Not::Not(), RDKit::FilterMatchOps::Or::Or(), RDKit::FilterMatchOps::Or::Or(), RDKit::FilterMatchOps::Or::Or(), RDKit::FilterMatchOps::Or::Or(), RDKit::FilterHierarchyMatcher::setPattern(), and RDKit::SmartsMatcher::SmartsMatcher().

## ◆ FilterMatcherBase() [2/2]

RDKit::FilterMatcherBase::FilterMatcherBase | ( | const FilterMatcherBase & | rhs | ) |
| inline

Definition at line 86 of file FilterMatcherBase.h.

References FilterMatcherBase().

## ◆ ~FilterMatcherBase()

virtual RDKit::FilterMatcherBase::~FilterMatcherBase | ( |  | ) |
| inlinevirtual

Definition at line 90 of file FilterMatcherBase.h.

## Member Function Documentation

## ◆ Clone()

virtual boost::shared_ptr< FilterMatcherBase > RDKit::FilterMatcherBase::Clone | ( |  | ) | const
| inlinevirtual

Clone - deprecated Clones the current FilterMatcherBase into one that can be passed around safely.

Definition at line 121 of file FilterMatcherBase.h.

References BOOST_LOG, copy(), and rdWarningLog.

## ◆ copy()

virtual boost::shared_ptr< FilterMatcherBase > RDKit::FilterMatcherBase::copy | ( |  | ) | const
| pure virtual

copy copies the current FilterMatcherBase into one that can be passed around safely.

Implemented in RDKit::ExclusionList, RDKit::FilterHierarchyMatcher, RDKit::FilterMatchOps::And, RDKit::FilterMatchOps::Not, RDKit::FilterMatchOps::Or, and RDKit::SmartsMatcher.

Referenced by RDKit::ExclusionList::addPattern(), Clone(), and RDKit::FilterHierarchyMatcher::setPattern().

## ◆ getMatches()

virtual bool RDKit::FilterMatcherBase::getMatches | ( | const ROMol & | mol,
|  | std::vector< FilterMatch > & | matchVect ) const
| pure virtual

getMatches

Match the filter against a molecule

Parameters

  mol | readonly const molecule being searched
  matches | output vector of atom index matches found in the molecule

Implemented in RDKit::ExclusionList, RDKit::FilterHierarchyMatcher, RDKit::FilterMatchOps::And, RDKit::FilterMatchOps::Not, RDKit::FilterMatchOps::Or, and RDKit::SmartsMatcher.

## ◆ getName()

virtual std::string RDKit::FilterMatcherBase::getName | ( |  | ) | const
| inlinevirtual

Reimplemented in RDKit::ExclusionList, RDKit::FilterHierarchyMatcher, RDKit::FilterMatchOps::And, RDKit::FilterMatchOps::Not, and RDKit::FilterMatchOps::Or.

Definition at line 94 of file FilterMatcherBase.h.

Referenced by RDKit::ExclusionList::getName(), RDKit::FilterMatchOps::And::getName(), RDKit::FilterMatchOps::Not::getName(), and RDKit::FilterMatchOps::Or::getName().

## ◆ hasMatch()

virtual bool RDKit::FilterMatcherBase::hasMatch | ( | const ROMol & | mol | ) | const
| pure virtual

hasMatches

Does the given molecule contain this filter pattern

Parameters

  mol | readonly const molecule being searched

Implemented in RDKit::ExclusionList, RDKit::FilterHierarchyMatcher, RDKit::FilterMatchOps::And, RDKit::FilterMatchOps::Not, RDKit::FilterMatchOps::Or, and RDKit::SmartsMatcher.

## ◆ isValid()

virtual bool RDKit::FilterMatcherBase::isValid | ( |  | ) | const
| pure virtual

Implemented in RDKit::ExclusionList, RDKit::FilterHierarchyMatcher, RDKit::FilterMatchOps::And, RDKit::FilterMatchOps::Not, RDKit::FilterMatchOps::Or, and RDKit::SmartsMatcher.

Referenced by RDKit::ExclusionList::addPattern(), and RDKit::FilterHierarchyMatcher::setPattern().

The documentation for this class was generated from the following file:

- FilterMatcherBase.h